Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Record Class AbstractFieldMetaData.ExtendedFieldInfo

java.lang.Object
java.lang.Record
org.firebirdsql.jdbc.AbstractFieldMetaData.ExtendedFieldInfo

Enclosing class:
  AbstractFieldMetaData

protected static record AbstractFieldMetaData.ExtendedFieldInfo(AbstractFieldMetaData.FieldKey fieldKey, int fieldPrecision, boolean autoIncrement) extends Record
Stores additional information about fields in a database.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ExtendedFieldInfo(String relationName, String fieldName, int precision, boolean autoIncrement)`
  `protected`
  `ExtendedFieldInfo(AbstractFieldMetaData.FieldKey fieldKey, int fieldPrecision, boolean autoIncrement)`
  Creates an instance of a `ExtendedFieldInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `autoIncrement()`
  Returns the value of the `autoIncrement` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `AbstractFieldMetaData.FieldKey`
  `fieldKey()`
  Returns the value of the `fieldKey` record component.
  `int`
  `fieldPrecision()`
  Returns the value of the `fieldPrecision` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedFieldInfo

    public ExtendedFieldInfo(String relationName, String fieldName, int precision, boolean autoIncrement)

  - ### ExtendedFieldInfo

    protected ExtendedFieldInfo(AbstractFieldMetaData.FieldKey fieldKey, int fieldPrecision, boolean autoIncrement)
    Creates an instance of a `ExtendedFieldInfo` record class.
    Parameters:
      `fieldKey` - the value for the `fieldKey` record component
      `fieldPrecision` - the value for the `fieldPrecision` record component
      `autoIncrement` - the value for the `autoIncrement` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldKey

    public AbstractFieldMetaData.FieldKey fieldKey()
    Returns the value of the `fieldKey` record component.
    Returns:
      the value of the `fieldKey` record component

  - ### fieldPrecision

    public int fieldPrecision()
    Returns the value of the `fieldPrecision` record component.
    Returns:
      the value of the `fieldPrecision` record component

  - ### autoIncrement

    public boolean autoIncrement()
    Returns the value of the `autoIncrement` record component.
    Returns:
      the value of the `autoIncrement` record component